Package org.eclipse.net4j.util.ui

# Klasse UIActivator.WithState

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.net4j.util.ui.UIActivator
org.eclipse.net4j.util.ui.UIActivator.WithState

Alle implementierten Schnittstellen:
  `org.osgi.framework.BundleActivator`

Umschließende Klasse:
  `UIActivator`

public abstract static class UIActivator.WithState extends UIActivator

Seit:
  3.1
Autor:
  Eike Stepper

## Verschachtelte Klassen - Übersicht

## Von Klasse geerbte verschachtelte Klassen/Schnittstellen org.eclipse.net4j.util.ui.UIActivator

`UIActivator.WithState`

## Feldübersicht

### Von Klasse geerbte Felder org.eclipse.net4j.util.ui.UIActivator

`bundleContext`

### Von Klasse geerbte Felder org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`WithState(OMBundle bundle)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected final void`
`doStart()`
`protected abstract void`
`doStartWithState(Object state)`
`protected final void`
`doStop()`
`protected abstract Object`
`doStopWithState()`

### Von Klasse geerbte Methoden org.eclipse.net4j.util.ui.UIActivator

`getDialogSettings, getDialogSettings, getImage, getImageDescriptor, getOMBundle, loadImageDescriptor, start, stop`

### Von Klasse geerbte Methoden org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Von Klasse geerbte Methoden org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Konstruktordetails

### WithState

public WithState(OMBundle bundle)

## Methodendetails

### doStart

protected final void doStart() throws Exception

Setzt außer Kraft:
  `doStart` in Klasse `UIActivator`
Löst aus:
  `Exception`

### doStop

protected final void doStop() throws Exception

Setzt außer Kraft:
  `doStop` in Klasse `UIActivator`
Löst aus:
  `Exception`

### doStartWithState

protected abstract void doStartWithState(Object state) throws Exception

Löst aus:
  `Exception`

### doStopWithState

protected abstract Object doStopWithState() throws Exception

Löst aus:
  `Exception`